
import java.util.List;

/**
 * Klasse hlt die Daten der Datenbeschreibung.
 * @author Harald Kranz
 *
 */
public class DFRecordDescription {
	/**
	 * Nummer der Datensatzbeschreibung
	 */
	private int recordNumber;
	
	/**
	 * Bezeichnung der Datensatzbeschreibung
	 */
	private String recordName;
	
	/** 
	 * Liste mit den Feldbeschreibungen zu der Datensatzbeschreibung 
	 */
	private List<DFFieldDescription> dfFields;
	
	/**
	 * Getter fr die Feldbeschreibungen zu der Datensatzbeschreibung 
	 * @return DFFieldDescription Feldbeschreibungen 
	 */
	public List<DFFieldDescription> getDfFields() {
		return dfFields;
	}

	/**
	 * Setter fr die Datensatzbeschreibung zu der Datensatzbeschreibung 
	 * @param dfFields Feldbeschreibungen zur Datensatzbeschreibung
	 */
	public void setDfFields(List<DFFieldDescription> dfFields) {
		this.dfFields = dfFields;
	}

	/**
	 * Getter fr die Nummer der Datensatzbeschreibung 
	 * @return int Nummer der Datensatzbeschreibung 
	 */
	public int getRecordNumber() {
		return recordNumber;
	}

	/**
	 * Setter fr die Nummer der Datensatzbeschreibung 
	 * @param recordNumber int Nummer der Datensatzbeschreibung 
	 */
	public void setRecordNumber(int recordNumber) {
		this.recordNumber = recordNumber;
	}

	/**
	 * Getter fr die Bezeichnung der Datensatzbeschreibung 
	 * @return String Bezeichnung der Datensatzbeschreibung 
	 */
	public String getRecordName() {
		return recordName;
	}

	/**
	 * Setter fr die Bezeichnung der Datensatzbeschreibung 
	 * @param recordName String Bezeichnung der Datensatzbeschreibung 
	 */
	public void setRecordName(String recordName) {
		this.recordName = recordName;
	}



	
	public DFRecordDescription()
	{
		
	}
    /**
     * berschreiben der toString fr mgliche Ausgabe der Datensatzbeschreibung 
     */
	@Override
	public String toString() {
		StringBuffer buf = new StringBuffer();
		buf.append("Datensatbeschreibung\nNummer: " + recordNumber);
		buf.append("\nBezeichnung: "+recordName);
		buf.append("\n\n");
		if (dfFields != null)
		{
			for (int i = 0; i< dfFields.size(); i++)
			{	
		       buf.append(dfFields.get(i).toString());
			}
		}
		return buf.toString();	}

}
