#pragma once

class CDF4Crypt
{
public:
  CDF4Crypt(void);
  ~CDF4Crypt(void);

  // Routinen fuer Verschluesselung der Paketdaten
protected:
  unsigned char m_sbox[256], m_k[256], m_key[32];
  bool m_binaryKey;     // Handelt es sich um einen Binaerschluessel
  unsigned char m_size; // Laenge des Binaerschluessels (max 32 Byte)
public:
  // Verschluesselungsroutinen
  void LoadCryptKey(void);
  void SetKey(unsigned char *key, bool binaryKey = false, unsigned char size = 0);
  void Init();
  void Crypt(unsigned char *data, int size);
  inline void SetKeyByte(unsigned char pos, unsigned char val)
  {
    if (pos > sizeof(m_key)) return;
    m_key[pos] = val;
  }
};
